<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="it.integry.integrywmsnative.R" />

        <import type="android.view.View" />

        <import type="it.integry.integrywmsnative.core.utility.UtilityString" />

        <import type="it.integry.integrywmsnative.core.utility.UtilityDate" />

        <import type="android.text.Html" />

        <import type="androidx.core.content.ContextCompat" />

        <variable
            name="listModel"
            type="it.integry.integrywmsnative.gest.prod_linee_produzione.dto.ProdLineStatusDTO" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="?attr/selectableItemBackground"
        android:clickable="true"
        android:focusable="true">


        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:layout_marginEnd="4dp"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">


            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:padding="10dp"
                android:weightSum="2">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/mtb_grp_container"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">


                        <androidx.appcompat.widget.AppCompatTextView
                            style="@style/AppTheme.NewMaterial.Text.Large"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{listModel.getLabel()}"
                            android:textColor="@{ContextCompat.getColor(context,listModel.isStarted() ? R.color.green_600 : listModel.isPaused() ? R.color.orange_600 : R.color.red_600)}"
                            android:textSize="16sp"
                            android:textStyle="bold"
                            tools:text="L2 - Linea 2"
                            tools:textColor="@color/green_600" />

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:background="@drawable/badge_round_corner"
                            android:backgroundTint="@{ContextCompat.getColor(context, listModel.isStarted() ? R.color.green_600 : listModel.isPaused() ? R.color.orange_600 : R.color.red_600)}"
                            android:orientation="horizontal"
                            android:weightSum="2"
                            tools:backgroundTint="@color/green_600">

                            <androidx.appcompat.widget.AppCompatImageView
                                android:id="@+id/image"
                                android:layout_width="18dp"
                                android:layout_height="19dp"
                                android:layout_gravity="center_horizontal"
                                android:src="@{ContextCompat.getDrawable(context, listModel.isStarted() ? R.drawable.ic_baseline_play_arrow_24 : listModel.isPaused() ? R.drawable.ic_baseline_pause_24 : R.drawable.ic_baseline_stop_24)}"
                                app:tint="@color/white"
                                tools:src="@drawable/ic_baseline_play_arrow_24" />

                            <androidx.appcompat.widget.AppCompatTextView
                                android:id="@+id/peso_lordo_collo"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{listModel.isStarted() ? R.string.in_progress : listModel.isPaused() ? R.string.stand_by : R.string.stopped}"
                                android:textAppearance="@style/AppTheme.NewMaterial.Text.Medium"
                                android:textColor="@android:color/white"
                                android:textStyle="bold"
                                tools:text="In lavorazione" />
                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </RelativeLayout>

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/resources_container"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:visibility="@{listModel.isStarted() ? View.VISIBLE : View.GONE}">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="8dp"
                        android:text="@string/risorse_impostate"
                        android:textColor="@android:color/black"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/resources"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{listModel.getRisorseLabel()}"
                        android:textColor="@android:color/black"
                        android:textSize="14sp"
                        android:textStyle="bold"
                        tools:text="5/25" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/lista_ords_container"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:visibility="@{listModel.isStarted() &amp;&amp; !UtilityString.isNullOrEmpty(listModel.listaOrd) ? View.VISIBLE : View.GONE}">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="8dp"
                        android:text="@string/orders_in_progress"
                        android:textColor="@android:color/black"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/lista_ords"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{listModel.listaOrd}"
                        android:textColor="@android:color/black"
                        android:textSize="14sp"
                        android:textStyle="bold"
                        tools:text="125|255" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/production_start_cotnainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:visibility="@{listModel.isStarted() ? View.VISIBLE : View.GONE}">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="8dp"
                        android:text="@string/inizio_produzione"
                        android:textColor="@android:color/black"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/production_start"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{UtilityDate.formatDate(listModel.datetimeStart, UtilityDate.COMMONS_DATE_FORMATS.DMY_TIME_SLASH)}"
                        android:textColor="@android:color/black"
                        android:textSize="14sp"
                        android:textStyle="bold"
                        tools:text="05/07/2022 14:00:00" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/production_stop_cotnainer"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:visibility="@{listModel.isStarted() ? View.GONE : View.VISIBLE}">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="8dp"
                        android:text="@string/ultima_produzione"
                        android:textColor="@android:color/black"
                        android:textSize="14sp" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/production_stop"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@{UtilityDate.formatDate(listModel.datetimeEnd, UtilityDate.COMMONS_DATE_FORMATS.DMY_TIME_SLASH)}"
                        android:textColor="@android:color/black"
                        android:textSize="14sp"
                        android:textStyle="bold"
                        tools:text="05/07/2022 23:59:59" />

                </androidx.appcompat.widget.LinearLayoutCompat>


            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>